# AppCallbackAlphaGrpc.AppCallbackAlphaStub (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.v1, class: AppCallbackAlphaGrpc, class: AppCallbackAlphaStub

Package io.dapr.v1

# Class AppCallbackAlphaGrpc.AppCallbackAlphaStub

java.lang.Object
io.grpc.stub.AbstractStub<S>
io.grpc.stub.AbstractAsyncStub<AppCallbackAlphaGrpc.AppCallbackAlphaStub>
io.dapr.v1.AppCallbackAlphaGrpc.AppCallbackAlphaStub

Enclosing class:
  AppCallbackAlphaGrpc

public static final class AppCallbackAlphaGrpc.AppCallbackAlphaStub extends io.grpc.stub.AbstractAsyncStub<AppCallbackAlphaGrpc.AppCallbackAlphaStub>
A stub to allow clients to do asynchronous rpc calls to service AppCallbackAlpha.

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

## Nested Class Summary

## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

## Method Summary

Modifier and Type
Method
Description
`protected AppCallbackAlphaGrpc.AppCallbackAlphaStub`
`build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void`
`onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)`
Subscribes bulk events from Pubsub
`void`
`onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)`
Sends job back to the app's endpoint at trigger time.

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

protected AppCallbackAlphaGrpc.AppCallbackAlphaStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<AppCallbackAlphaGrpc.AppCallbackAlphaStub>`

### onBulkTopicEventAlpha1

public void onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)

     Subscribes bulk events from Pubsub

### onJobEventAlpha1

public void onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)

     Sends job back to the app's endpoint at trigger time.